﻿Public Class Form1
    ' Make the key for this product number.
    Private Sub btnMakeKey_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMakeKey.Click
        Try
            Dim program_id As UInt32 = UInt32.Parse(txtProgramId.Text)
            Dim product_number As UInt32 = UInt32.Parse(txtProductNumber.Text)
            Dim product_key As UInt32 = Encrypt(program_id, product_number)
            txtProductKey.Text = product_key.ToString()
        Catch ex As Exception
            txtProductKey.Clear()
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    ' Simple encryption and decryption.
    Private Function Encrypt(ByVal seed As UInt32, ByVal value As UInt32) As UInt32
        Dim rand As New Random(CInt(seed \ 2))
        Return (value Xor CUInt(UInt32.MaxValue * rand.NextDouble()))
    End Function
End Class
